# H225_Alerting_UUIE Class Reference

`#include <h225.h>`

Inheritance diagram for H225_Alerting_UUIE:

List of all members.

## Public Types

enum | OptionalFields { e_h245Address, e_callIdentifier, e_h245SecurityMode, e_tokens, e_cryptoTokens, e_fastStart, e_multipleCalls, e_maintainConnection, e_alertingAddress, e_presentationIndicator, e_screeningIndicator, e_fastConnectRefused, e_serviceControl, e_capacity, e_featureSet }

## Public Member Functions

| H225_Alerting_UUIE (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H225_ProtocolIdentifier | m_protocolIdentifier
H225_EndpointType | m_destinationInfo
H225_TransportAddress | m_h245Address
H225_CallIdentifier | m_callIdentifier
H225_H245Security | m_h245SecurityMode
H225_ArrayOf_ClearToken | m_tokens
H225_ArrayOf_CryptoH323Token | m_cryptoTokens
H225_ArrayOf_PASN_OctetString | m_fastStart
PASN_Boolean | m_multipleCalls
PASN_Boolean | m_maintainConnection
H225_ArrayOf_AliasAddress | m_alertingAddress
H225_PresentationIndicator | m_presentationIndicator
H225_ScreeningIndicator | m_screeningIndicator
PASN_Null | m_fastConnectRefused
H225_ArrayOf_ServiceControlSession | m_serviceControl
H225_CallCapacity | m_capacity
H225_FeatureSet | m_featureSet

## Member Enumeration Documentation

enum H225_Alerting_UUIE::OptionalFields

Enumerator:

  e_h245Address |
  e_callIdentifier |
  e_h245SecurityMode |
  e_tokens |
  e_cryptoTokens |
  e_fastStart |
  e_multipleCalls |
  e_maintainConnection |
  e_alertingAddress |
  e_presentationIndicator |
  e_screeningIndicator |
  e_fastConnectRefused |
  e_serviceControl |
  e_capacity |
  e_featureSet |

## Constructor & Destructor Documentation

H225_Alerting_UUIE::H225_Alerting_UUIE | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H225_Alerting_UUIE::GetDataLength | ( |  | ) | const

PBoolean H225_Alerting_UUIE::Decode | ( | PASN_Stream & | strm | ) |

void H225_Alerting_UUIE::Encode | ( | PASN_Stream & | strm | ) | const

void H225_Alerting_UUIE::PrintOn | ( | ostream & | strm | ) | const

Comparison H225_Alerting_UUIE::Compare | ( | const PObject & | obj | ) | const

PObject* H225_Alerting_UUIE::Clone | ( |  | ) | const

## Member Data Documentation

H225_ProtocolIdentifier H225_Alerting_UUIE::m_protocolIdentifier

H225_EndpointType H225_Alerting_UUIE::m_destinationInfo

H225_TransportAddress H225_Alerting_UUIE::m_h245Address

H225_CallIdentifier H225_Alerting_UUIE::m_callIdentifier

H225_H245Security H225_Alerting_UUIE::m_h245SecurityMode

H225_ArrayOf_ClearToken H225_Alerting_UUIE::m_tokens

H225_ArrayOf_CryptoH323Token H225_Alerting_UUIE::m_cryptoTokens

H225_ArrayOf_PASN_OctetString H225_Alerting_UUIE::m_fastStart

PASN_Boolean H225_Alerting_UUIE::m_multipleCalls

PASN_Boolean H225_Alerting_UUIE::m_maintainConnection

H225_ArrayOf_AliasAddress H225_Alerting_UUIE::m_alertingAddress

H225_PresentationIndicator H225_Alerting_UUIE::m_presentationIndicator

H225_ScreeningIndicator H225_Alerting_UUIE::m_screeningIndicator

PASN_Null H225_Alerting_UUIE::m_fastConnectRefused

H225_ArrayOf_ServiceControlSession H225_Alerting_UUIE::m_serviceControl

H225_CallCapacity H225_Alerting_UUIE::m_capacity

H225_FeatureSet H225_Alerting_UUIE::m_featureSet

The documentation for this class was generated from the following file:

- h225.h